package com.zhibao.crm.utils.huanong;

import cn.hutool.core.util.IdUtil;
import com.alibaba.fastjson.JSONObject;
import com.jfinal.kit.HttpKit;
import com.jfinal.kit.PropKit;
import com.jfinal.plugin.activerecord.Record;
import com.zhibao.crm.erp.crm.entity.CrmBusiness;
import com.zhibao.crm.erp.crm.entity.CrmContract;
import com.zhibao.crm.erp.crm.entity.CrmCustomer;
import com.zhibao.crm.erp.insurance.service.RequestLogService;
import com.zhibao.crm.utils.DateUtil;
import com.zhibao.crm.utils.HttpKitUtils;
import com.zhibao.crm.utils.huanong.AvatarInsureBody;
import com.zhibao.crm.utils.huanong.AvatarPolicyBody;
import com.zhibao.crm.utils.huanong.EndorseInsuredIdBody;
import com.zhibao.crm.utils.huanong.Head;
import com.zhibao.crm.utils.huanong.InsureOrderInfo;
import com.zhibao.crm.utils.huanong.InsuredInfos;
import com.zhibao.crm.utils.huanong.InsuredUpdate;
import com.zhibao.crm.utils.huanong.MD5Utils;
import com.zhibao.crm.utils.huanong.Policy;
import com.zhibao.crm.utils.huanong.PolicyProductList;
import com.zhibao.crm.utils.huanong.PolicyProducts;
import com.zhibao.crm.utils.huanong.Proposal;
import com.zhibao.crm.utils.huanong.ProposalOrders;
import com.zhibao.crm.utils.huanong.TargetInfoDtos;
import java.math.BigDecimal;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;
import java.security.Security;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.crypto.BadPaddingException;
import javax.crypto.Cipher;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.KeyGenerator;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.SecretKey;
import javax.crypto.spec.SecretKeySpec;
import org.apache.commons.net.util.Base64;
import org.apache.log4j.Logger;
import org.springframework.util.Base64Utils;
import sun.security.provider.Sun;

public class RequestUtils {

   private static final String key = "fuahdfujhauidhiuawse";
   private static final String aesKey = "sadedfjekashciew";
   private static final String key_PRO = "AVATARCOMMONKEY";
   private static final String aesKey_PRO = "LZvlldJ9Nu1fmapA";
   private static final String SECURITY_PROVIDER = "SUN";
   private static Logger HnLog = Logger.getLogger("HnLog");
   private static final String DData = "{\"avatarInsureBody\":{\"holderInfo\":{\"idCode\":\"91310230MAC1TMTA40\",\"idType\":\"6\",\"mobile\":\"13564681232\",\"name\":\"上海樊小圣企业咨询有限公司\",\"type\":\"1\"},\"insureOrderInfo\":{\"busSrePcname\":\"\",\"effectTime\":\"2024-11-30 00:00:00\",\"firstPeriodPremium\":2.5,\"insuredType\":\"01\",\"invalidTime\":\"2024-11-30 23:59:59\",\"issueTime\":\"2024-11-29 12:30:08\",\"nextPeriodPremium\":0,\"payFrequency\":\"0\",\"payMode\":\"2\",\"periodDay\":1,\"planCode\":\"PLC01571\",\"policyType\":\"02\",\"presenterPolicy\":false,\"productCode\":\"PDC00284\",\"totalAmount\":3024000,\"totalPremium\":2.5},\"insuredInfos\":{\"idCode\":\"91350200MA348C8J97\",\"idType\":\"6\",\"mobile\":\"13174567660\",\"name\":\"厦门智保科技有限公司\",\"relType\":0,\"type\":\"1\"},\"policyProducts\":[{\"insuredCount\":1,\"insuredInfos\":[{\"birthday\":\"2000-07-28\",\"gender\":\"2\",\"idCode\":\"110101200007289905\",\"idType\":\"6\",\"jobCode\":\"2\",\"name\":\"阿斯啊顿\",\"occupationCode\":\"A0102001\"}],\"occupationCode\":\"\",\"rationCode\":\"PLC01571\",\"rationNo\":1},{\"insuredCount\":1,\"insuredInfos\":[{\"birthday\":\"2000-07-28\",\"gender\":\"2\",\"idCode\":\"110101200007282201\",\"idType\":\"6\",\"jobCode\":\"2\",\"name\":\"阿斯顿\",\"occupationCode\":\"A0102001\"}],\"occupationCode\":\"\",\"rationCode\":\"PLC01570\",\"rationNo\":2},{\"insuredCount\":1,\"insuredInfos\":[{\"birthday\":\"2000-07-28\",\"gender\":\"2\",\"idCode\":\"110101200007288005\",\"idType\":\"6\",\"jobCode\":\"2\",\"name\":\"艾斯\",\"occupationCode\":\"A0102001\"}],\"occupationCode\":\"\",\"rationCode\":\"PLC01569\",\"rationNo\":3},{\"insuredCount\":1,\"insuredInfos\":[{\"birthday\":\"2000-07-28\",\"gender\":\"2\",\"idCode\":\"110101200007289702\",\"idType\":\"6\",\"jobCode\":\"2\",\"name\":\"刘殿栩\",\"occupationCode\":\"A0102001\"}],\"occupationCode\":\"\",\"rationCode\":\"PLC01544\",\"rationNo\":4}],\"targetInfoDtos\":[]},\"head\":{\"interfaceType\":\"groupProposalOrder\",\"orderNo\":\"186235212003753472\",\"policySource\":\"PHN_ZKYD_FXS\",\"reqTime\":\"2024-11-29 12:30:07\",\"uuid\":\"00111927b589a4c85b1bb1f9b6db9234c\"}}";
   private static final String PayData = "{\"avatarPolicyHead\":{\"policySource\":\"PHN_ZKYD_FXS\",\"reqTime\":\"2024-12-26 14:23:12\",\"interfaceType\":\"groupPolicyOrder\",\"orderNo\":\"HNPN221300001001120276\",\"uuid\":\"5660112d5e6452c802c4f0bca2c3519\"},\"avatarPolicyBody\":{\"sumPremium\":2.7,\"periodPremium\":2.7,\"payPremium\":2.7,\"payDate\":\"2024-12-26 13:04:12\",\"proposalOrders\":[{\"proposalNo\":\"Y11001701240000096003\"},{\"proposalNo\":\"Y11001701240000096003\"},{\"proposalNo\":\"Y11001701240000096003\"}],\"serialNum\":\"98212234e696b421c910c8f42169ec339\"}}";
   private static final String changeData = "{\"endorseInsuredIdBody\":{\"policyNo\":\"X11001701240000101001\",\"posNo\":\"8aa1232112628ed6e71382c2bfb7\",\"endorDate\":\"2024-12-05 14:55:55\",\"validDate\":\"2024-12-05 00:00:00\",\"modPremium\":-24.3,\"insuredIdList\":[{\"flag\":\"D\",\"validDate\":\"2024-12-05 00:00:00\",\"insuredName\":\"萨达\",\"idType\":\"0\",\"idCode\":\"110101200007283407\",\"age\":\"24\",\"sex\":\"2\",\"birthday\":\"2000-07-28\",\"occupationCode\":\"A0102001\",\"jobCode\":\"2\",\"chgPremium\":\"-24.3\",\"rationNo\":\"1\",\"extensionInfo\":{\"actualemployerName\":\"厦门智保科技有限公司\"}}]},\"head\":{\"interfaceType\":\"groupProposalOrder\",\"orderNo\":\"186412621374434560\",\"policySource\":\"PHN_ZKYD_FXS\",\"reqTime\":\"2024-12-05 14:55:55\",\"uuid\":\"186412621374434560\"}}";
   private static final String cancelData = "{\"head\":{\"interfaceType\":\"refundOrder\",\"orderNo\":\"QS22234223652678S12K01\",\"policySource\":\"PHN_ZKYD_FXS\",\"reqTime\":1733413268744,\"respTime\":1733413268744,\"uuid\":\"15923b86c-beb6-4d36-a71e-3a048234dbeb\"},\"refundOrderBody\":{\"policyNo\":\"X11001701240000409501\",\"refundEffectTime\":1733414400000,\"refundMoneyType\":\"0\",\"refundReqTime\":1733414400000,\"validHour\":0}}";
   private static final String CertificateData = "{  \"head\":{    \"interfaceType\":\"getCertificate\",    \"orderNo\":\"1867474211205708544-0007\",    \"policySource\":\"PHN_ZKYD_FXS\",    \"reqTime\":\"2024-12-05 22:36:41\",    \"uuid\":\"1867474211205708544\"  },  \"voucherQuery\":{    \"policyNo\":\"X11001701240000117003\",    \"interfaceType\":\"3\"  }}";


   public static void main(String[] args) throws Exception {
      test5();
   }

   public static void test5() throws Exception {
      String encode = encode("投保确认书接口", "{\"head\":{\"interfaceType\":\"refundOrder\",\"orderNo\":\"QS22234223652678S12K01\",\"policySource\":\"PHN_ZKYD_FXS\",\"reqTime\":1733413268744,\"respTime\":1733413268744,\"uuid\":\"15923b86c-beb6-4d36-a71e-3a048234dbeb\"},\"refundOrderBody\":{\"policyNo\":\"X11001701240000409501\",\"refundEffectTime\":1733414400000,\"refundMoneyType\":\"0\",\"refundReqTime\":1733414400000,\"validHour\":0}}");
      System.out.println("加密:" + encode);
      String sign = getSign(encode);
      System.out.println("签名:" + sign);
      HashMap header = new HashMap();
      header.put("policySource", "PHN_ZKYD_FXS");
      header.put("sign", sign);
      header.put("orderNo", "121111");
      header.put("Content-Type", "application/json");
      String result = HttpKitUtils.post("http://82.157.175.64:5000/forward?target_url=https://avatar.chinahuanong.com.cn/avatar/refund/refundOrder", encode, header);
      String deBody = decode(result);
      System.out.println("解密:" + deBody);
   }

   public static void test1() {
      String encode = encode("出单", "{\"avatarPolicyHead\":{\"policySource\":\"PHN_ZKYD_FXS\",\"reqTime\":\"2024-12-26 14:23:12\",\"interfaceType\":\"groupPolicyOrder\",\"orderNo\":\"HNPN221300001001120276\",\"uuid\":\"5660112d5e6452c802c4f0bca2c3519\"},\"avatarPolicyBody\":{\"sumPremium\":2.7,\"periodPremium\":2.7,\"payPremium\":2.7,\"payDate\":\"2024-12-26 13:04:12\",\"proposalOrders\":[{\"proposalNo\":\"Y11001701240000096003\"},{\"proposalNo\":\"Y11001701240000096003\"},{\"proposalNo\":\"Y11001701240000096003\"}],\"serialNum\":\"98212234e696b421c910c8f42169ec339\"}}");
      System.out.println("加密:" + encode);
      String sign = getSign(encode);
      System.out.println("签名:" + sign);
      HashMap header = new HashMap();
      header.put("policySource", "PHN_ZKYD_FXS");
      header.put("sign", sign);
      header.put("orderNo", "asd12sd13132124");
      header.put("Content-Type", "application/json");
      String result = HttpKit.post("http://82.157.175.64:5000/forward?target_url=https://avatar.chinahuanong.com.cn/avatar/general/groupPolicyOrder", encode, (Map)null);
      String deBody = decode(result);
      System.out.println("解密:" + deBody);
   }

   public static void test2() throws Exception {
      String encode = encode("投保", "{\"avatarInsureBody\":{\"holderInfo\":{\"idCode\":\"91310230MAC1TMTA40\",\"idType\":\"6\",\"mobile\":\"13564681232\",\"name\":\"上海樊小圣企业咨询有限公司\",\"type\":\"1\"},\"insureOrderInfo\":{\"busSrePcname\":\"\",\"effectTime\":\"2024-11-30 00:00:00\",\"firstPeriodPremium\":2.5,\"insuredType\":\"01\",\"invalidTime\":\"2024-11-30 23:59:59\",\"issueTime\":\"2024-11-29 12:30:08\",\"nextPeriodPremium\":0,\"payFrequency\":\"0\",\"payMode\":\"2\",\"periodDay\":1,\"planCode\":\"PLC01571\",\"policyType\":\"02\",\"presenterPolicy\":false,\"productCode\":\"PDC00284\",\"totalAmount\":3024000,\"totalPremium\":2.5},\"insuredInfos\":{\"idCode\":\"91350200MA348C8J97\",\"idType\":\"6\",\"mobile\":\"13174567660\",\"name\":\"厦门智保科技有限公司\",\"relType\":0,\"type\":\"1\"},\"policyProducts\":[{\"insuredCount\":1,\"insuredInfos\":[{\"birthday\":\"2000-07-28\",\"gender\":\"2\",\"idCode\":\"110101200007289905\",\"idType\":\"6\",\"jobCode\":\"2\",\"name\":\"阿斯啊顿\",\"occupationCode\":\"A0102001\"}],\"occupationCode\":\"\",\"rationCode\":\"PLC01571\",\"rationNo\":1},{\"insuredCount\":1,\"insuredInfos\":[{\"birthday\":\"2000-07-28\",\"gender\":\"2\",\"idCode\":\"110101200007282201\",\"idType\":\"6\",\"jobCode\":\"2\",\"name\":\"阿斯顿\",\"occupationCode\":\"A0102001\"}],\"occupationCode\":\"\",\"rationCode\":\"PLC01570\",\"rationNo\":2},{\"insuredCount\":1,\"insuredInfos\":[{\"birthday\":\"2000-07-28\",\"gender\":\"2\",\"idCode\":\"110101200007288005\",\"idType\":\"6\",\"jobCode\":\"2\",\"name\":\"艾斯\",\"occupationCode\":\"A0102001\"}],\"occupationCode\":\"\",\"rationCode\":\"PLC01569\",\"rationNo\":3},{\"insuredCount\":1,\"insuredInfos\":[{\"birthday\":\"2000-07-28\",\"gender\":\"2\",\"idCode\":\"110101200007289702\",\"idType\":\"6\",\"jobCode\":\"2\",\"name\":\"刘殿栩\",\"occupationCode\":\"A0102001\"}],\"occupationCode\":\"\",\"rationCode\":\"PLC01544\",\"rationNo\":4}],\"targetInfoDtos\":[]},\"head\":{\"interfaceType\":\"groupProposalOrder\",\"orderNo\":\"186235212003753472\",\"policySource\":\"PHN_ZKYD_FXS\",\"reqTime\":\"2024-11-29 12:30:07\",\"uuid\":\"00111927b589a4c85b1bb1f9b6db9234c\"}}");
      System.out.println("加密:" + encode);
      String sign = getSign(encode);
      System.out.println("签名:" + sign);
      HashMap header = new HashMap();
      header.put("policySource", "PHN_ZKYD_FXS");
      header.put("sign", sign);
      header.put("orderNo", "121111");
      header.put("Content-Type", "application/json");
      String result = HttpKitUtils.post("http://82.157.175.64:5000/forward?target_url=https://avatar.chinahuanong.com.cn/avatar/general/groupProposalOrder", encode, header);
      String deBody = decode(result);
      System.out.println("解密:" + deBody);
   }

   public static void test3() throws Exception {
      String encode = encode("保全", "{\"endorseInsuredIdBody\":{\"policyNo\":\"X11001701240000101001\",\"posNo\":\"8aa1232112628ed6e71382c2bfb7\",\"endorDate\":\"2024-12-05 14:55:55\",\"validDate\":\"2024-12-05 00:00:00\",\"modPremium\":-24.3,\"insuredIdList\":[{\"flag\":\"D\",\"validDate\":\"2024-12-05 00:00:00\",\"insuredName\":\"萨达\",\"idType\":\"0\",\"idCode\":\"110101200007283407\",\"age\":\"24\",\"sex\":\"2\",\"birthday\":\"2000-07-28\",\"occupationCode\":\"A0102001\",\"jobCode\":\"2\",\"chgPremium\":\"-24.3\",\"rationNo\":\"1\",\"extensionInfo\":{\"actualemployerName\":\"厦门智保科技有限公司\"}}]},\"head\":{\"interfaceType\":\"groupProposalOrder\",\"orderNo\":\"186412621374434560\",\"policySource\":\"PHN_ZKYD_FXS\",\"reqTime\":\"2024-12-05 14:55:55\",\"uuid\":\"186412621374434560\"}}");
      System.out.println("加密:" + encode);
      String sign = getSign(encode);
      System.out.println("签名:" + sign);
      HashMap header = new HashMap();
      header.put("policySource", "PHN_ZKYD_FXS");
      header.put("sign", sign);
      header.put("orderNo", "121111");
      header.put("Content-Type", "application/json");
      String result = HttpKitUtils.post("http://82.157.175.64:5000/forward?target_url=https://avatar.chinahuanong.com.cn/avatar/endor/insuredUpdate", encode, header);
      String deBody = decode(result);
      System.out.println("解密:" + deBody);
   }

   public static void test4() throws Exception {
      String encode = encode("退保", "{\"head\":{\"interfaceType\":\"refundOrder\",\"orderNo\":\"QS22234223652678S12K01\",\"policySource\":\"PHN_ZKYD_FXS\",\"reqTime\":1733413268744,\"respTime\":1733413268744,\"uuid\":\"15923b86c-beb6-4d36-a71e-3a048234dbeb\"},\"refundOrderBody\":{\"policyNo\":\"X11001701240000409501\",\"refundEffectTime\":1733414400000,\"refundMoneyType\":\"0\",\"refundReqTime\":1733414400000,\"validHour\":0}}");
      System.out.println("加密:" + encode);
      String sign = getSign(encode);
      System.out.println("签名:" + sign);
      HashMap header = new HashMap();
      header.put("policySource", "PHN_ZKYD_FXS");
      header.put("sign", sign);
      header.put("orderNo", "121111");
      header.put("Content-Type", "application/json");
      String result = HttpKitUtils.post("http://82.157.175.64:5000/forward?target_url=https://avatar.chinahuanong.com.cn/avatar/refund/refundOrder", encode, header);
      String deBody = decode(result);
      System.out.println("解密:" + deBody);
   }

   public String insuredUpdate(CrmContract contract, CrmCustomer relation, List logs, RequestLogService requestLogService, List occupations, String oldGuaranteeNames) throws Exception {
      String num = String.valueOf(IdUtil.createSnowflake(0L, 20L).nextId());
      Head head = new Head(num, "insuredUpdate");
      BigDecimal change = BigDecimal.ZERO;

      Record productLists;
      for(Iterator insuredIdLists = logs.iterator(); insuredIdLists.hasNext(); change = change.add(productLists.getBigDecimal("change"))) {
         productLists = (Record)insuredIdLists.next();
      }

      List var22 = EndorseInsuredIdBody.formPersonLogs(logs, relation, occupations);
      List var23 = PolicyProductList.formPersonLogs(logs, oldGuaranteeNames);
      EndorseInsuredIdBody endorseInsuredIdBody = new EndorseInsuredIdBody(contract.getNum(), IdUtil.fastSimpleUUID(), DateUtil.now(), DateUtil.format(contract.getStartTime(), "yyyy-MM-dd HH:mm:ss"), var22, change, var23);
      InsuredUpdate policy = new InsuredUpdate(head, endorseInsuredIdBody);
      String encode = encode("保全", JSONObject.toJSONString(policy));
      String sign = getSign(encode);
      HashMap header = new HashMap();
      header.put("policySource", "PHN_ZKYD_FXS");
      header.put("sign", sign);
      header.put("orderNo", num);
      header.put("Content-Type", "application/json");
      String result = null;
      Boolean isDev = new Boolean(PropKit.get("isDev"));
      if(isDev.booleanValue()) {
         result = HttpKit.post("http://82.157.175.64:5000/forward?target_url=https://porsche-avatar.chinahuanong.com.cn/avatar/endor/insuredUpdate", encode, header);
      } else {
         int deBody = 0;

         while(deBody < 3) {
            try {
               result = HttpKit.post("http://82.157.175.64:5000/forward?target_url=https://avatar.chinahuanong.com.cn/avatar/endor/insuredUpdate", encode, header);
               break;
            } catch (Exception var21) {
               if(deBody == 2) {
                  throw var21;
               }

               ++deBody;
               Thread.sleep(5000L);
            }
         }
      }

      String var24 = decode(result);
      HnLog.info("保全出参：" + var24);
      requestLogService.saveResponseLog("华农批改", JSONObject.toJSONString(policy), "HUANONG", contract.getNum(), var24);
      return var24;
   }

   public String policy(CrmBusiness business, List persons, RequestLogService requestLogService) {
      Head head = new Head(business.getNum(), "groupPolicyOrder");
      List proposalOrders = ProposalOrders.formBusinessPerson(persons);
      AvatarPolicyBody avatarPolicyBody = new AvatarPolicyBody(business.getMoney(), business.getCreateTime(), proposalOrders);
      Policy policy = new Policy(head, avatarPolicyBody);
      String encode = encode("出单", JSONObject.toJSONString(policy));
      String sign = getSign(encode);
      HashMap header = new HashMap();
      header.put("policySource", "PHN_ZKYD_FXS");
      header.put("sign", sign);
      header.put("orderNo", business.getNum());
      header.put("Content-Type", "application/json");
      String result = null;
      Boolean isDev = new Boolean(PropKit.get("isDev"));
      if(isDev.booleanValue()) {
         result = HttpKit.post("http://82.157.175.64:5000/forward?target_url=https://porsche-avatar.chinahuanong.com.cn/avatar/general/groupPolicyOrder", encode, header);
      } else {
         result = HttpKit.post("http://82.157.175.64:5000/forward?target_url=https://avatar.chinahuanong.com.cn/avatar/general/groupPolicyOrder", encode, header);
      }

      String deBody = decode(result);
      HnLog.info("出单出参：" + deBody);
      requestLogService.saveResponseLog("华农出单", JSONObject.toJSONString(policy), "HUANONG", business.getNum(), deBody);
      return deBody;
   }

   public String proposal(CrmBusiness business, CrmCustomer relation, List persons, RequestLogService requestLogService, List occupations) {
      Head head = new Head(business.getNum(), "groupProposalOrder");
      InsureOrderInfo insureOrderInfo = new InsureOrderInfo(business.getStartTime(), business.getEndTime(), persons);
      business.setMoney(insureOrderInfo.getTotalPremium());
      InsuredInfos insuredInfos = new InsuredInfos(relation.getCustomerName(), relation.getCertNum(), relation.getContactPhone());
      List policyProducts = PolicyProducts.formBusinessPerson(persons, occupations, relation.getCustomerName());
      ArrayList targetInfoDtos = new ArrayList();
      targetInfoDtos.add(new TargetInfoDtos(Integer.valueOf(persons.size()), relation.getPremiumMode()));
      AvatarInsureBody avatarInsureBody = new AvatarInsureBody(insureOrderInfo, insuredInfos, policyProducts, targetInfoDtos);
      Proposal proposal = new Proposal(head, avatarInsureBody);
      String encode = encode("投保", JSONObject.toJSONString(proposal));
      String sign = getSign(encode);
      HashMap header = new HashMap();
      header.put("policySource", "PHN_ZKYD_FXS");
      header.put("sign", sign);
      header.put("orderNo", business.getNum());
      header.put("Content-Type", "application/json");
      String result = null;
      Boolean isDev = new Boolean(PropKit.get("isDev"));
      if(isDev.booleanValue()) {
         result = HttpKit.post("http://82.157.175.64:5000/forward?target_url=https://porsche-avatar.chinahuanong.com.cn/avatar/general/groupProposalOrder", encode, header);
      } else {
         result = HttpKit.post("http://82.157.175.64:5000/forward?target_url=https://avatar.chinahuanong.com.cn/avatar/general/groupProposalOrder", encode, header);
      }

      String deBody = decode(result);
      HnLog.info("投保出参：" + deBody);
      requestLogService.saveResponseLog("华农核保", JSONObject.toJSONString(proposal), "HUANONG", business.getNum(), deBody);
      return deBody;
   }

   public static String encode(String type, String data) {
      HnLog.info(type + "入参：" + data);
      byte mode = 1;

      try {
         boolean e = mode == 1;
         byte[] content;
         if(e) {
            content = data.getBytes("UTF-8");
         } else {
            content = Base64.decodeBase64(data.getBytes("UTF-8"));
         }

         SecretKey secretKey = null;
         Boolean isDev = new Boolean(PropKit.get("isDev"));
         if(isDev.booleanValue()) {
            secretKey = getSecretKey("sadedfjekashciew");
         } else {
            secretKey = getSecretKey("LZvlldJ9Nu1fmapA");
         }

         SecretKeySpec keySpec = new SecretKeySpec(secretKey.getEncoded(), "AES");
         Cipher cipher = Cipher.getInstance("AES");
         cipher.init(mode, keySpec);
         byte[] result = cipher.doFinal(content);
         return e?new String(Base64.encodeBase64(result)):new String(result, "UTF-8");
      } catch (Exception var10) {
         System.err.println("AES密文处理异常" + var10);
         var10.printStackTrace();
         return null;
      }
   }

   public static String decode(String data) {
      long startTime = System.currentTimeMillis();

      try {
         byte[] e = Base64Utils.decode(data.getBytes());
         Object decryptResult = null;
         Boolean isDev = new Boolean(PropKit.get("isDev"));
         byte[] decryptResult1;
         if(isDev.booleanValue()) {
            decryptResult1 = decrypt(e, "sadedfjekashciew");
         } else {
            decryptResult1 = decrypt(e, "LZvlldJ9Nu1fmapA");
         }

         String decryptContent = new String(decryptResult1, "UTF-8");
         return decryptContent;
      } catch (Exception var7) {
         var7.printStackTrace();
         throw new RuntimeException(var7 + "解密失败");
      }
   }

   public static String getSign(String data) {
      Object decryptResult = null;
      String newSign = null;
      Boolean isDev = new Boolean(PropKit.get("isDev"));
      if(isDev.booleanValue()) {
         newSign = MD5Utils.md5(data + "fuahdfujhauidhiuawse", "utf-8");
      } else {
         newSign = MD5Utils.md5(data + "AVATARCOMMONKEY", "utf-8");
      }

      return newSign;
   }

   public static SecretKey getSecretKey(String key) {
      try {
         KeyGenerator e = KeyGenerator.getInstance("AES");
         if(null == Security.getProvider("SUN")) {
            Security.addProvider(new Sun());
         }

         SecureRandom secureRandom = SecureRandom.getInstance("SHA1PRNG");
         secureRandom.setSeed(key.getBytes());
         e.init(128, secureRandom);
         return e.generateKey();
      } catch (Exception var3) {
         throw new RuntimeException("初始化秘钥出现异常");
      }
   }

   public static byte[] decrypt(byte[] content, String password) {
      try {
         SecureRandom e = SecureRandom.getInstance("SHA1PRNG");
         e.setSeed(password.getBytes());
         KeyGenerator kgen = KeyGenerator.getInstance("AES");
         kgen.init(128, e);
         SecretKey secretKey = kgen.generateKey();
         byte[] enCodeFormat = secretKey.getEncoded();
         SecretKeySpec key = new SecretKeySpec(enCodeFormat, "AES");
         Cipher cipher = Cipher.getInstance("AES");
         cipher.init(2, key);
         byte[] result = cipher.doFinal(content);
         return result;
      } catch (NoSuchPaddingException | InvalidKeyException | IllegalBlockSizeException | BadPaddingException | NoSuchAlgorithmException var9) {
         var9.printStackTrace();
         return null;
      }
   }

}
